function love.load()

	--active certains raccourcis
	gr = love.graphics
	ke = love.keyboard
	mo = love.mouse

	--enregistre la résolution
	getW = gr.getWidth()
	getH = gr.getHeight()

	--fond gris
	gr.setBackgroundColor(0x80, 0x80, 0x80)

	--désactive la souris
	mo.setVisible(false)
	mo.setGrab(true)

	--répétition de touches ON
	ke.setKeyRepeat(0.1, 0.1)

	--charge les autres fichiers
	require "map"
	require "player"
end

function love.update(dt)

	player:update(dt)
end

function love.draw()
	
	map:draw()
	player:draw()
	map:info()
	player:info()
end

function love.keypressed(key)

---[[ déplacement du personnage
	if key == "right" then

		player:move(1, 0)
		
	elseif key == "left" then

		player:move(-1, 0)
	end
	
	if key == "down" then

		player:move(0, 1)
		
	elseif key == "up" then

		player:move(0, -1)
	end
--]]

	if key == "escape"
	or key == "return" then
	
		love.event.quit()
	end
end
